# Uses of Class
org.codehaus.janino.Java.ModularCompilationUnit

Packages that use Java.ModularCompilationUnit
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.ModularCompilationUnit in org.codehaus.janino

Methods in org.codehaus.janino with parameters of type Java.ModularCompilationUnit
Modifier and Type
Method
Description
`R`
Visitor.AbstractCompilationUnitVisitor.`visitModularCompilationUnit(Java.ModularCompilationUnit mcu)`
Invoked by `accept(Visitor.AbstractCompilationUnitVisitor)`

## Uses of Java.ModularCompilationUnit in org.codehaus.janino.util

Methods in org.codehaus.janino.util that return Java.ModularCompilationUnit
Modifier and Type
Method
Description
`Java.ModularCompilationUnit`
DeepCopier.`copyModularCompilationUnit(Java.ModularCompilationUnit subject)`
Methods in org.codehaus.janino.util with parameters of type Java.ModularCompilationUnit
Modifier and Type
Method
Description
`Java.ModularCompilationUnit`
DeepCopier.`copyModularCompilationUnit(Java.ModularCompilationUnit subject)`
`void`
AbstractTraverser.`traverseModularCompilationUnit(Java.ModularCompilationUnit mcu)`
`void`
Traverser.`traverseModularCompilationUnit(Java.ModularCompilationUnit mcu)`